LSBILIBOP(8)

NAME
lsbilibop - list BILIBOP tagged devices, display or update some of their udev properties

SYNOPSIS
lsbilibop [-l]
lsbilibop [-a|-c|-i] [DEVICE [DEVICE [...]]]
lsbilibop -h

DESCRIPTION
lsbilibop is a simple shell script that outputs the list of BILIBOP tagged block devices and some of their udev(7) properties, or triggers uevents to update udev rules and properties that can be applied to these devices.

If the operating system is running from an external and writable support (USB or SD Flash Memory, USB, Firewire or eSATA HDD), then the BILIBOP tagged devices are the block devices whose contents are on the same physical disk than the root filesystem. This includes disk, partitions, but also device-mapper and loopback devices, and even block devices containing a filesystem used as lower/readonly branch of an aufs(5) or overlay mountpoint (depending on the kernel version). The rules file /usr/lib/udev/rules.d/66-bilibop.rules (or /etc/udev/rules.d/66-bilibop.rules) is used to find and tag such devices.

OPTIONS
Options must be invoked before arguments. When invoked without option, lsbilibop just outputs a list of the device(s) given as arguments (if they are BILIBOP tagged block devices), or of all BILIBOP tagged block devices if none is specified. Devices are listed in the same order than in /proc/partitions, i.e. in the order they have been discovered by the kernel. Absolute or relative paths and symlinks can be used to specify a device. Shell wildcards are allowed.

-a  Trigger 'device add' uevent for the device(s) given as arguments (if they are BILIBOP tagged block devices), or of all BILIBOP tagged block devices if none is specified, to update their properties. This can be used each time the corresponding BILIBOP_RULES_* variables are modified in bilibop.conf(5), to apply the new settings without need to reboot the operating system.

-c  Trigger 'device change' uevent for the device(s) given as arguments (if they are BILIBOP tagged block devices), or of all BILIBOP tagged block devices if none is specified, to update their properties. This can be used each time the corresponding BILIBOP_RULES_* variables are modified in bilibop.conf(5), to apply the new settings without need to reboot the operating system.

-h  Print a help page on standard output and exit.

-i  Display some useful udev(7) properties of the device(s) given as arguments (if they are BILIBOP tagged block devices), or of all BILIBOP tagged block devices if none is specified. This option overrides -a and -c options.

    The following properties are only informative. The two last ones are set if and only if udisks 1.x (ID_DRIVE_DETACHABLE) and/or udisks 2.x (UDISKS_CAN_POWER_OFF) are installed.

    DEVNAME
    BILIBOP_DISK
    BILIBOP_PARTITION
    BILIBOP_UNDERLYING_PARTITION
    DEVLINKS

    ID_DRIVE_DETACHABLE
    UDISKS_CAN_POWER_OFF

    The following properties can be used to set BILIBOP_RULES_*_WHITELIST and other variables in bilibop.conf(5):

    ID_FS_LABEL
    ID_FS_TYPE
    ID_FS_USAGE
    ID_FS_UUID

    The following properties can be modified by changing the corresponding BILIBOP_RULES_* variables in bilibop.conf(5). They are set if and only if udisks 1.x (for the first set) and/or udisks 2.x (for the second set) are installed.

    UDISKS_PRESENTATION_HIDE
    UDISKS_PRESENTATION_ICON_NAME
    UDISKS_PRESENTATION_NAME
    UDISKS_SYSTEM_INTERNAL

    UDISKS_IGNORE
    UDISKS_ICON_NAME
    UDISKS_NAME
    UDISKS_SYSTEM

-l  Don't rely on the 'BILIBOP' tag to list the devices. This option is based on the bilibop-common shell library.

ERRORS
If the 'BILIBOP' tag does not exist in the udev database, then lsbilibop displays a useful error message on stderr, and lists the device nodes whose content is supposed to be written on the same physical disk than the root filesystem (as does the -l option). Exit code is 8.

FILES
/etc/bilibop/bilibop.conf
/usr/share/doc/bilibop-rules/examples/bilibop.conf
/usr/share/bilibop/bilibop_rules_generator
/lib/udev/rules.d/66-bilibop.rules
/etc/udev/rules.d/66-bilibop.rules

SEE ALSO
bilibop(7), bilibop.conf(5), drivemap(1), udev(7), udevadm(8), udisks(7), udisks(8)

AUTHOR
This manual page has been written by Bilibop Project <quidame@poivron.org>.